Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.uddi.client.structures.datatypes
Class InstanceDetails

    java.lang.Object
      weblogic.uddi.client.structures.datatypes.InstanceDetails

public class InstanceDetails
extends Object

The instanceDetails is used to hold web service instance specific information.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`InstanceDetails()` Class constructor.

Method Summary
`void` | `addDescription(String desValue)` Adds a new description to the set of descriptions.
`Vector` | `getDescriptionVector()` Gets the set of descriptions.
`InstanceParms` | `getInstanceParms()` Gets the value of the instance parms.
`OverviewDoc` | `getOverviewDoc()` Gets the value of the overview doc.
`void` | `setDescriptionVector(Vector v)` Sets the set of descriptions.
`void` | `setInstanceParms(InstanceParms value)` Sets the value of the instance parms.
`void` | `setOverviewDoc(OverviewDoc ovDoc)` Sets the value of the overview doc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceDetails

    public InstanceDetails()

  Class constructor.

Method Detail

### addDescription

    public void addDescription(String desValue)

  Adds a new description to the set of descriptions.

  Parameters:
    `desValue` - the new description.

### getDescriptionVector

    public Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the current set of descriptions.

### getInstanceParms

    public InstanceParms getInstanceParms()

  Gets the value of the instance parms.

  Returns:
    the current value of the instance parms.

### getOverviewDoc

    public OverviewDoc getOverviewDoc()

  Gets the value of the overview doc.

  Returns:
    the current value of the overview doc.

### setDescriptionVector

    public void setDescriptionVector(Vector v)

  Sets the set of descriptions.

  Parameters:
    `v` - the new set of descriptions.

### setInstanceParms

    public void setInstanceParms(InstanceParms value)

  Sets the value of the instance parms.

  Parameters:
    `value` - the new value of the instance parms.

### setOverviewDoc

    public void setOverviewDoc(OverviewDoc ovDoc)

  Sets the value of the overview doc.

  Parameters:
    `ovDoc` - the new value of the overview doc.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD